tginfo_s Struct Reference

Trigram information cache. More...

`#include <lm3g_model.h>`

## Data Fields

int32 | w1
| lw1 component of bigram lw1,lw2. More...
int32 | n_tg
| number tg for parent bigram lw1,lw2
int32 | bowt
| tg bowt for lw1,lw2
int32 | used
| whether used since last lm_reset
trigram_t * | tg
| Trigrams for lw1,lw2.
struct tginfo_s * | next
| Next lw1 with same parent lw2; NULL if none. More...

## Detailed Description

Trigram information cache.

The following trigram information cache eliminates most traversals of 1g->2g->3g tree to locate trigrams for a given bigram (lw1,lw2). The organization is optimized for locality of access (to the same lw1), given lw2.

Definition at line 129 of file lm3g_model.h.

## Field Documentation

struct tginfo_s* tginfo_s::next

Next lw1 with same parent lw2; NULL if none.

Definition at line 136 of file lm3g_model.h.

int32 tginfo_s::w1

lw1 component of bigram lw1,lw2.

All bigrams with same lw2 linked together (see lm_t.tginfo).

Definition at line 130 of file lm3g_model.h.

The documentation for this struct was generated from the following file:

- src/libsphinxbase/lm/lm3g_model.h